Subject: [netatalk-admins] Solaris 2.6 and printing

From: "Andreas M. Kogelnik" <[email-masked]>
Date: Tue, 6 Jan 1998 21:19:09 -0500 (EST)

Hi,
  Want to be able to print via lpr from a Solaris 2.6 box to an Appletalk
printer. Successfully compiled and installed netatalk v 1.4b2.  
Getzones and pap (for Postscript files) works fine as root.  BUt when I
try it as a user, I get
$./getzones
atp_open: Permission denied
$
pap -p  "GMM LaserWriter Pro (403A)"
nbp_lookup: Permission denied
$

Obviously some permissions need resetting, but where? 

Question number two:
Are there any references for how I can set up the appletalk printer to get
fed directly a the default Solaris printer - e.g. as from the admintool?
Or if anyone has any experience with this - I'm sure it's been done. I
just don't know where to look and have missed the instructions if they're
in the 1.4b2 distribution.

Thanks

Andy

Andreas M. Kogelnik
M.D./Ph.D. Program                      Bioengineering Program
Center for Molecular Medicine           College of Computing
Emory University School of Medicine     Georgia Institute of Technology
1462 Clifton Rd - Suite 403             801 Atlantic Drive
Atlanta, GA 30322                       Atlanta, GA 30332
[email-masked]                      [email-masked]
(404) 727-8801